/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface ISensorhorarepeticao extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.sensorhorarepeticao.senhorid</code>.
     */
    public ISensorhorarepeticao setSenhorid(Integer value);

    /**
     * Getter for <code>public.sensorhorarepeticao.senhorid</code>.
     */
    public Integer getSenhorid();

    /**
     * Setter for <code>public.sensorhorarepeticao.fksenid</code>.
     */
    public ISensorhorarepeticao setFksenid(Integer value);

    /**
     * Getter for <code>public.sensorhorarepeticao.fksenid</code>.
     */
    public Integer getFksenid();

    /**
     * Setter for <code>public.sensorhorarepeticao.fkhorid</code>.
     */
    public ISensorhorarepeticao setFkhorid(Integer value);

    /**
     * Getter for <code>public.sensorhorarepeticao.fkhorid</code>.
     */
    public Integer getFkhorid();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface ISensorhorarepeticao
     */
    public void from(com.tabajara.base.tables.interfaces.ISensorhorarepeticao from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface ISensorhorarepeticao
     */
    public <E extends com.tabajara.base.tables.interfaces.ISensorhorarepeticao> E into(E into);

    @Override
    public default ISensorhorarepeticao fromJson(io.vertx.core.json.JsonObject json) {
        setSenhorid(json.getInteger("senhorid"));
        setFksenid(json.getInteger("fksenid"));
        setFkhorid(json.getInteger("fkhorid"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("senhorid",getSenhorid());
        json.put("fksenid",getFksenid());
        json.put("fkhorid",getFkhorid());
        return json;
    }

}
